Mutex::lock
Mutex::unlock
Mutex
PHP Manual

# Mutex::trylock

(PECL pthreads >= 2.0.0)

Mutex::trylock — Attempt to Acquire Mutex

### Description

final public static boolean Mutex::trylock ( long `$mutex` )

Attempt to lock the Mutex for the caller without blocking if the Mutex is owned (locked) by another Thread.

### Parameters

`mutex`

  A handle returned by a previous call to Mutex::create().

### Return Values

A boolean indication of success.

### Examples

Example #1 Mutex Locking and Unlocking

`<?php
/** You cannot use the "new" keyword, a Mutex is not a PHP object **/
$mutex = Mutex::create();
/** You can now try to lock the mutex in any context **/
var_dump(Mutex::trylock($mutex));
/** It is invalid to attempt to destroy a locked Mutex **/
var_dump(Mutex::unlock($mutex));
/** Always destroy mutex you have created **/
Mutex::destroy($mutex);
?>`

The above example will output:

    bool(true)
    bool(true)

Mutex::lock
Mutex::unlock
Mutex
PHP Manual